RowFilter.Expression.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Enum RowFilter.Expression.Kind

- java.lang.Object
- - java.lang.Enum<RowFilter.Expression.Kind>
  - - org.apache.cassandra.db.filter.RowFilter.Expression.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RowFilter.Expression.Kind>
  Enclosing class:
    RowFilter.Expression

      protected static enum RowFilter.Expression.Kind
      extends java.lang.Enum<RowFilter.Expression.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `MAP_EQUALITY`
    `SIMPLE`
    `THRIFT_DYN_EXPR`
    `USER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowFilter.Expression.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowFilter.Expression.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final RowFilter.Expression.Kind SIMPLE

    - #### MAP_EQUALITY

          public static final RowFilter.Expression.Kind MAP_EQUALITY

    - #### THRIFT_DYN_EXPR

          public static final RowFilter.Expression.Kind THRIFT_DYN_EXPR

    - #### CUSTOM

          public static final RowFilter.Expression.Kind CUSTOM

    - #### USER

          public static final RowFilter.Expression.Kind USER

  - ### Method Detail

    - #### values

          public static RowFilter.Expression.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowFilter.Expression.Kind c : RowFilter.Expression.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowFilter.Expression.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation